@import 'src/styles.scss';

.header {
  &__local {
    padding-bottom: 1rem;
  }

  &__wrapper {
    @include tablet-large {
      background-color: #f9f9f9;
    }
  }
  &__country-container {
    display: flex;
    gap: 0.75rem;
  }
  &__country-label {
    font-size: 1rem;
    line-height: 1.5rem;
    align-self: center;
  }
  &__local-title {
    display: block;
    margin: 0 0 0.75rem 0;
  }
  &__local-language-container {
    display: flex;
    gap: 0.75rem;
    margin: 0 0 0.5rem 0;
    &:last-child {
      margin-bottom: 0;
    }
  }
  &__local-language-code {
    border: 1px solid #cfdaf5;
    border-radius: 0.25rem;
    background-color: #f3f6fc;
    padding: 0.25rem 0.5rem;
    height: fit-content;
  }
  &__local-language-name {
    align-self: center;
  }
}

.country {
  display: flex;
  gap: 0.75rem;
  &__label {
    font-size: 1rem;
    line-height: 1.5rem;
    align-self: center;
  }
}

.alternative-languages {
  &__title {
    display: block;
    margin: 0 0 0.75rem 0;
  }
  &__language {
    display: flex;
    gap: 0.75rem;
    margin: 0 0 0.5rem 0;
    .language__country-code {
      display: block;
      border: 1px solid #cfdaf5;
      border-radius: 0.25rem;
      background-color: #f3f6fc;
      padding: 0.25rem 0.5rem;
      height: fit-content;
    }
    .language__country-name {
      align-self: center;
    }
  }
  &__language:last-child {
    margin-bottom: 0;
  }
}

.tables {
  &__container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3rem;
    @include tablet-large {
      width: 75%;
    }
  }
  &__providers {
    margin: 0 0 3rem 0;
    .title {
      display: block;
      margin: 0 0 0.5rem 0;
      font-size: 1.125rem;
      line-height: 1.25rem;
    }
  }
}
